//  Copyright 2019 Kakao Corp.
//
//  Licensed under the Apache License, Version 2.0 (the "License");
//  you may not use this file except in compliance with the License.
//  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
//  Unless required by applicable law or agreed to in writing, software
//  distributed under the License is distributed on an "AS IS" BASIS,
//  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//  See the License for the specific language governing permissions and
//  limitations under the License.

import Foundation
import KakaoSDKCommon

// KakaoSDKCommon 모듈의 @objc Wrapper 클래스 예제입니다.

@objc
class KakaoSDKCommonWrapper : NSObject {
    @objc
    public static let shared = KakaoSDKCommonWrapper()
    
    // SDK 초기화
    @objc
    public func initSDK(appKey:String) {
        KakaoSDK.initSDK(appKey: appKey, loggingEnable:true)
    }
    
    // 위 형식을 참고해 이 외 필요한 메서드 추가
    // ...
}
