//  Copyright 2019 Kakao Corp.
//
//  Licensed under the Apache License, Version 2.0 (the "License");
//  you may not use this file except in compliance with the License.
//  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
//  Unless required by applicable law or agreed to in writing, software
//  distributed under the License is distributed on an "AS IS" BASIS,
//  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//  See the License for the specific language governing permissions and
//  limitations under the License.

import Foundation

// @objc 기본 템플릿 예제입니다.
// 아래와 같이 Swift에서 메시지 템플릿 JSON을 만들어 활용합니다.

@objc class SampleData : NSObject {
    @objc
    public static let templateIdLink = 19389
    
    @objc
    public static let templateIdMessage = 19388

    @objc
    public static let feedTemplateJson =
                                    """
                                    {
                                        "object_type": "feed",
                                        "content": {
                                            "title": "딸기 치즈 케익",
                                            "description": "#케익 #딸기 #삼평동 #카페 #분위기 #소개팅",
                                            "image_url": "http://mud-kage.kakao.co.kr/dn/Q2iNx/btqgeRgV54P/VLdBs9cvyn8BJXB3o7N8UK/kakaolink40_original.png",
                                            "link": {
                                                "mobile_web_url": "https://developers.kakao.com",
                                                "web_url": "https://developers.kakao.com"
                                            }
                                        },
                                        "item_content" : {
                                              "profile_text" :"Kakao",
                                              "profile_image_url" :"http://mud-kage.kakao.co.kr/dn/Q2iNx/btqgeRgV54P/VLdBs9cvyn8BJXB3o7N8UK/kakaolink40_original.png",
                                              "title_image_url" : "http://mud-kage.kakao.co.kr/dn/Q2iNx/btqgeRgV54P/VLdBs9cvyn8BJXB3o7N8UK/kakaolink40_original.png",
                                              "title_image_text" :"Cheese cake",
                                              "title_image_category" : "cake",
                                              "items" : [
                                                              {
                                                                  "item" :"cake1",
                                                                  "item_op" : "1000원"
                                                              },
                                                              {
                                                                  "item" :"cake2",
                                                                  "item_op" : "2000원"
                                                              },
                                                              {
                                                                  "item" :"cake3",
                                                                  "item_op" : "3000원"
                                                              },
                                                              {
                                                                  "item" :"cake4",
                                                                  "item_op" : "4000원"
                                                              },
                                                              {
                                                                  "item" :"cake5",
                                                                  "item_op" : "5000원"
                                                              }
                                                          ],
                                                          "sum" :"total",
                                                          "sum_op" : "15000원"
                                        },
                                        "social": {
                                            "comment_count": 45,
                                            "like_count": 286,
                                            "shared_count": 845
                                        },
                                        "buttons": [
                                            {
                                                "title": "웹으로 보기",
                                                "link": {
                                                    "mobile_web_url": "https://developers.kakao.com",
                                                    "web_url": "https://developers.kakao.com"
                                                }
                                            },
                                            {
                                                "title": "앱으로 보기",
                                                "link": {
                                                    "android_execution_params": "key1=value1&key2=value2",
                                                    "ios_execution_params": "key1=value1&key2=value2"
                                                }
                                            }
                                        ]
                                    }
                                    """
    
}
